
Redmine - Defect #10450

Copy project Issues not working

2012-03-15 10:50 - Mario Luzeiro

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

I'm using last SVN version of redmine. I've tryed to copy a project.

I select this:

Copy

 Members (1)

 Versions (4)

 Issue categories (0)

 Issues (8)

 Custom queries (0)

 Forums (0)

 Wiki pages (0)

 The members, version are copied but not the issues. It doesn't create new issues for this project.

Related issues:

Related to Redmine - Defect #11803: When copying a project, issues are not co... Closed

History

#1 - 2012-03-15 16:06 - Etienne Massip

- Resolution set to Cant reproduce

Sorry, can't reproduce.

Might be some plugin issue?

#2 - 2012-09-07 10:31 - Xiaochuan Lin

I also met this problem, I downloaded and installed the lastest Bitnami Redmine, 'bitnami-redmine-2.0.3-1-windows-installer-r01.exe'. When I copy a

project, the members, version are copied but not the issues, i.e. the issues from the original project are not copied into the new project.

Look forward your help,

#3 - 2012-09-07 11:09 - Xiaochuan Lin

I also looked at the production.log file, and see the message,

"Project#copy_issues: issue #300 could not be copied: ..."

then I locate the code in the project.rb file,

------------

def copy_issues(project)

...

if new_issue.new_record?

logger.info "Project#copy_issues: issue ##{issue.id} could not be copied: #{new_issue.errors.full_messages}" if logger && logger.info

issues_map[issue.id] = new_issue

else

issues_map[issue.id] = new_issue unless new_issue.new_record?

end

...

---------------

but I couldn't figure it out.

I also look at ChangeLog from 0.8 to 2.0.3, didn't find about this, is this functionality already implemented in the latest Redmine?

By the way, is there an wasy way to change Bitnami Redmine from production to development mode so I don't have to restart the service (could take

couple minutes) everytime I modify some code to debug it.
https://www.redmine.org/issues/300


Thanks much for your help and advice!

#4 - 2013-07-16 21:57 - Maria  Rocha

This is possible when I move the issue to the new project.
